Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractVOI Class Reference

`#include <vtkExtractVOI.h>`

Inheritance diagram for vtkExtractVOI:

[legend]
Collaboration diagram for vtkExtractVOI:

[legend]
List of all members.

## Detailed Description

select piece (e.g., volume of interest) and/or subsample structured points dataset

Date:
  2002/08/06 13:55:12

Revision:
  1.32

vtkExtractVOI is a filter that selects a portion of an input structured points dataset, or subsamples an input dataset. (The selected portion of interested is referred to as the Volume Of Interest, or VOI.) The output of this filter is a structured points dataset. The filter treats input data of any topological dimension (i.e., point, line, image, or volume) and can generate output data of any topological dimension.

To use this filter set the VOI ivar which are i-j-k min/max indices that specify a rectangular region in the data. (Note that these are 0-offset.) You can also specify a sampling rate to subsample the data.

Typical applications of this filter are to extract a slice from a volume for image processing, subsampling large volumes to reduce data size, or extracting regions of a volume with interesting data.

See also:
  vtkGeometryFilter vtkExtractGeometry vtkExtractGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (42%)
  - Martin, Ken (17%)
  - Lorensen, Bill (14%)
  - Avila, Lisa (9%)
  - Geveci, Berk (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkExtractVOI.cxx)`
  - .`h` (`/Imaging/vtkExtractVOI.h)`

Examples:
  vtkExtractVOI (Examples)

Tests:
  vtkExtractVOI (Tests)

Definition at line 67 of file vtkExtractVOI.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetVOI (int, int, int, int, int, int)
virtual void | SetVOI (int[6])
virtual int * | GetVOI ()
virtual void | GetVOI (int data[6])
virtual void | SetSampleRate (int, int, int)
virtual void | SetSampleRate (int[3])
virtual int * | GetSampleRate ()
virtual void | GetSampleRate (int data[3])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkExtractVOI * | SafeDownCast (vtkObject *o)
vtkExtractVOI * | New ()
## Protected Methods
| vtkExtractVOI ()
| ~vtkExtractVOI ()
virtual void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ExecuteInformation (vtkImageData *input, vtkImageData *output)
void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *)
## Protected Attributes
int | VOI [6]
int | SampleRate [3]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkExtractVOI::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 70 of file vtkExtractVOI.h.

## Constructor & Destructor Documentation

vtkExtractVOI::vtkExtractVOI | ( |  | ) | `[protected]`

vtkExtractVOI::~vtkExtractVOI | ( |  | ) | `[inline, protected]`

| Definition at line 95 of file vtkExtractVOI.h.

## Member Function Documentation

virtual const char* vtkExtractVOI::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkExtractVOI::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkExtractVOI::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkExtractVOI* vtkExtractVOI::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkExtractVOI::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

vtkExtractVOI* vtkExtractVOI::New | ( |  | ) | `[static]`

| Construct object to extract all of the input data. Reimplemented from vtkObject.

virtual void vtkExtractVOI::SetVOI | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured points dataset can be of any topological dimension (i.e., point, line, image, or volume).

virtual void vtkExtractVOI::SetVOI | ( | int | [6] | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured points dataset can be of any topological dimension (i.e., point, line, image, or volume).

virtual int* vtkExtractVOI::GetVOI | ( |  | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured points dataset can be of any topological dimension (i.e., point, line, image, or volume).

virtual void vtkExtractVOI::GetVOI | ( | int | data[6] | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured points dataset can be of any topological dimension (i.e., point, line, image, or volume).

virtual void vtkExtractVOI::SetSampleRate | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractVOI::SetSampleRate | ( | int | [3] | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual int* vtkExtractVOI::GetSampleRate | ( |  | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractVOI::GetSampleRate | ( | int | data[3] | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractVOI::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkExtractVOI::ExecuteInformation | ( | vtkImageData * | input,
|  | vtkImageData * | output
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkExtractVOI::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 99 of file vtkExtractVOI.h. References vtkImageToImageFilter::ExecuteInformation().

virtual void vtkExtractVOI::ExecuteData | ( | vtkDataObject * |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkExtractVOI::VOI[6]`[protected]`

| Definition at line 102 of file vtkExtractVOI.h.

int vtkExtractVOI::SampleRate[3]`[protected]`

| Definition at line 103 of file vtkExtractVOI.h.

The documentation for this class was generated from the following file:

- Imaging/vtkExtractVOI.h